package interfaces;

/**
 * The observer of an observable elevator.<br>
 * @author jpaulgibson
 *
 */
public interface ElevatorObserverSpecification {
	
	/**
	 * The method that will be executed when the elevator under observation changes state.
	 */
	public void elevatorUpdated();

}
