package regression_tests_WithDoors;

import java.util.Random;

import models.elevatorLogicUnit.RandomMovementLogicUnit;
import models.elevators.Elevator;
import models.elevators.ElevatorWithDoors;

import org.junit.Before;

import validation_tests.use_case10.Validation_Elevator_UseCase10;

public class JUnit_RandomWithDoors extends JUnit_WithDoors {
	
	
	@Before
	public  void setUp() throws Exception{
		
		Random RNG1 = new Random(0);
		Random RNG2 = new Random(0);
		
		controllerUnderTest1 = new RandomMovementLogicUnit(null, RNG1);
		controllerUnderTest2 = new RandomMovementLogicUnit(null, RNG2);
		
		withoutDoors = new Elevator(Validation_Elevator_UseCase10.MINIMUM_NUMBER_OF_FLOORS);
		withoutDoors.installLogicUnit(controllerUnderTest1);

		withDoors = new ElevatorWithDoors(Validation_Elevator_UseCase10.MINIMUM_NUMBER_OF_FLOORS);
		withDoors.installLogicUnit(controllerUnderTest2);
	}
	
	
}
