package unit_tests.controllersSpecifyingLogicForMoving;


import models.elevatorLogicUnit.EmergencyLogicUnit;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import enumerations.DirectionState;

public class JUnit_EmergencyController {

	
EmergencyLogicUnit emergencyControllerUnderTest;
	
	@Before
	public  void setUp() throws Exception{
		
		emergencyControllerUnderTest = new EmergencyLogicUnit(null);
	}
	
	@After
	public void tearDown() throws Exception {
		emergencyControllerUnderTest = null;
	}

	/**
	 * Unit test for {@link EmergencyLogicUnit#calculateDirection()}
	 */
	@Test
	public void test_calculateDirection(){
		Assert.assertEquals(DirectionState.STAY, emergencyControllerUnderTest.calculateDirection());
	}
	
	/**
	 * Unit test for {@link EmergencyLogicUnit#stopAtNextFloor()}
	 */
	@Test
	public void test_stopAtNextFloor(){
		Assert.assertTrue(emergencyControllerUnderTest.stopAtNextFloor());
	}
}
