package regression_tests_WithDoors;

import models.elevatorLogicUnit.EmergencyLogicUnit;
import models.elevators.Elevator;
import models.elevators.ElevatorWithDoors;

import org.junit.Before;

import validation_tests.use_case10.Validation_Elevator_UseCase10;

public class JUnit_EmergencyWithDoors extends JUnit_WithDoors{
	

	
	@Before
	public  void setUp() throws Exception{
		
		controllerUnderTest1 = new EmergencyLogicUnit(null);
		controllerUnderTest2 = new EmergencyLogicUnit(null);
		
		withoutDoors = new Elevator(Validation_Elevator_UseCase10.MINIMUM_NUMBER_OF_FLOORS);
		withoutDoors.installLogicUnit(controllerUnderTest1);

		withDoors = new ElevatorWithDoors(Validation_Elevator_UseCase10.MINIMUM_NUMBER_OF_FLOORS);
		withDoors.installLogicUnit(controllerUnderTest2);
	}
	


}
